<?php

namespace EventPortal\Domain\Permission\Models;

use EventPortal\Contracts\HasFields;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Group extends Model implements HasFields
{
    protected $table = 'permission_groups';
    
    public function permissions(): HasMany
    {
        return $this->hasMany(Permission::class);
    }
}
