<?php

namespace EventPortal\Domain\Permission\Models;

use EventPortal\Contracts\HasFields;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Permission extends Model implements HasFields
{
    public function role(): BelongsToMany
    {
        return $this->belongsToMany(Role::class);
    }

    public function group(): BelongsTo
    {
        return $this->belongsTo(Group::class);
    }
}
