<?php

namespace Eventportal\Http\Controllers\Admin;

use EventPortal\Domain\Permission\Models\Permission;
use EventPortal\Domain\Table\Facades\Table;
use Inertia\Inertia;
use Inertia\Response;

class PermissionController
{
    public function index(): Response
    {
        $data = Table::make(Permission::class)
            ->columns()
            ->search(request('query'))
            ->filters(request('filter'))
            ->get();

        return Inertia::render('Permission/index', [
            'data' => $data,
        ]);
    }
}
